/*
  Firmware for Bitmap Projector
  Copyright (C) 2011 Matt Evans

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

  IR decode prototypes/externs
*/

#ifndef ir_h
#define ir_h

#include <inttypes.h>


extern volatile uint32_t ir_rx;
extern volatile uint8_t ir_new_code;

void ir_init(void);

/* Buttons on dinky 'media' remote I found... */
#define BTN_UNK         0
#define BTN_PWR         1
#define BTN_MUTE        2
#define BTN_AUTO        3
#define BTN_DISP        4
#define BTN_VOLMINUS    5
#define BTN_VOLPLUS     6
#define BTN_ESC         7
#define BTN_MENU        8
#define BTN_PCAV        9

uint8_t ir_code_to_button(uint32_t c);

#endif
